<?php

error_reporting(E_ALL);
ini_set("display_errors", 1);


/*
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<personen>
    <benutzer>
        <benutzername>maier1</benutzername>
        <passwort>mXabc123m!</passwort>
        <vorname>Hubertus</vorname>
        <nachname>Maier</nachname>
        <email>maier1@bfpohg.de</email>
    </benutzer>

    <benutzer> ... </benutzer>
</personen>
*/

// create xml docs
$xmlDoc = new DOMDocument("1.0", "utf-8");
$xmlDoc->formatOutput=true;

// Root element
$xmlRoot = $xmlDoc->createElement("personen");
$xmlDoc->appendChild($xmlRoot);

// first node - benutzer
$xmlPerson = $xmlDoc->createElement("benutzer");

// child node of benutzer: benutzername
$xmlBenutzername = $xmlDoc->createElement("benutzername", "Daniel");
$xmlPerson->appendChild($xmlBenutzername);

// child node of benutzer: passwort
$xmlPasswort = $xmlDoc->createElement("passwort", "danielISTcool");
$xmlPerson->appendChild($xmlPasswort);

// append node to root
$xmlRoot->appendChild($xmlPerson);

// --- SECOND USER ---
// second node - benutzer
$xmlPerson = $xmlDoc->createElement("benutzer");

// child node of benutzer: benutzername
$xmlBenutzername = $xmlDoc->createElement("benutzername", "Peter");
$xmlPerson->appendChild($xmlBenutzername);

// child node of benutzer: passwort
$xmlPasswort = $xmlDoc->createElement("passwort", "12345");
$xmlPerson->appendChild($xmlPasswort);

// append node to root
$xmlRoot->appendChild($xmlPerson);

// create file
$bytes = $xmlDoc->save(__DIR__ . "/personen.xml");
var_dump($bytes);

echo $bytes . "<br>";
echo __DIR__;
?>